com.corticon.rulesemf.viewtestmodel.testsheet

## Interface TestsheetPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface TestsheetPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `TestsheetFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `TestsheetPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `static TestsheetPackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `TESTSHEET_VIEW` The meta object id for the '`View`' class
    `static int` | `TESTSHEET_VIEW_FEATURE_COUNT` The number of structural features of the 'View' class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TestsheetFactory` | `getTestsheetFactory()` Returns the factory that creates the instances of the model
    `org.eclipse.emf.ecore.EClass` | `getTestsheetView()` Returns the meta object for class '`View`'

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final TestsheetPackage eINSTANCE

      The singleton instance of the package.

    - #### TESTSHEET_VIEW

          static final int TESTSHEET_VIEW

      The meta object id for the '`View`' class.
      See Also:
        `TestsheetViewImpl`, `TestsheetPackageImpl.getTestsheetView()`, Constant Field Values

    - #### TESTSHEET_VIEW_FEATURE_COUNT

          static final int TESTSHEET_VIEW_FEATURE_COUNT

      The number of structural features of the 'View' class.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTestsheetView

          org.eclipse.emf.ecore.EClass getTestsheetView()

      Returns the meta object for class '`View`'.
      Returns:
        the meta object for class 'View'.
      See Also:
        `TestsheetView`

    - #### getTestsheetFactory

          TestsheetFactory getTestsheetFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.